# Bakery::Conf::Association< T_Widget > Class Template Reference

`#include <Association.h>`

Inheritance diagram for Bakery::Conf::Association< T_Widget >:

[legend]

List of all members.

## Public Types

typedef sigc::slot< void > | Callback

## Public Member Functions

virtual void | connect_widget (Callback on_widget_changed)
| These methods must be implemented explicitly for each specialization of Association<T> to provide appropriate behaviors based on the widget type.
virtual void | load_widget (std::auto_ptr< Glib::Error > &error)
virtual void | save_widget (std::auto_ptr< Glib::Error > &error)

## Protected Member Functions

| Association (const Glib::ustring &full_key, T_Widget &widget, bool instant)

### template<class T_Widget>
class Bakery::Conf::Association< T_Widget >

## Member Typedef Documentation

template<class T_Widget>

typedef sigc::slot<void> Bakery::Conf::Association< T_Widget >::Callback

Reimplemented from Bakery::Conf::AssociationBase.

## Constructor & Destructor Documentation

template<class T_Widget>

Bakery::Conf::Association< T_Widget >::Association | ( | const Glib::ustring & | full_key,
|  | T_Widget & | widget,
|  | bool | instant |
| ) |  |  | `[inline, protected]`

## Member Function Documentation

template<class T_Widget>

virtual void Bakery::Conf::Association< T_Widget >::connect_widget | ( | Callback | on_widget_changed | ) | `[virtual]`

These methods must be implemented explicitly for each specialization of Association<T> to provide appropriate behaviors based on the widget type.

Implements Bakery::Conf::AssociationBase.

template<class T_Widget>

virtual void Bakery::Conf::Association< T_Widget >::load_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[virtual]`

Implements Bakery::Conf::AssociationBase.

template<class T_Widget>

virtual void Bakery::Conf::Association< T_Widget >::save_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[virtual]`

Implements Bakery::Conf::AssociationBase.

The documentation for this class was generated from the following file:

- Association.h